libdvbv5: dvb_v5_fe_parms Struct Reference

libdvbv5 1.26.0 Library to work with Digital TV devices on Linux

Data Fields
dvb_v5_fe_parms Struct Reference
Digital TV frontend control

Keeps data needed to handle the DVB frontend. More...

`#include <dvb-fe.h>`

## Data Fields
struct dvb_frontend_info | info
uint32_t | version
int | has_v5_stats
fe_delivery_system_t | current_sys
int | num_systems
fe_delivery_system_t | systems [MAX_DELIVERY_SYSTEMS]
int | legacy_fe
int | abort
int | lna
const struct dvb_sat_lnb * | lnb
int | sat_number
unsigned | freq_bpf
unsigned | diseqc_wait
unsigned | verbose
dvb_logfunc | logfunc
char * | default_charset
char * | output_charset

## Detailed Description

Keeps data needed to handle the DVB frontend.

Parameters

  info | Contains the DVB info properties (RO)
  version | Version of the Linux DVB API (RO)
  has_v5_stats | A value different than 0 indicates that the frontend supports DVBv5 stats (RO)
  current_sys | Currently selected delivery system (RO)
  num_systems | Number of delivery systems (RO)
  systems | Delivery systems supported by the hardware (RO)
  legacy_fe | A value different than 0 indicates a legacy Kernel driver using DVBv3 API only, or that DVBv3 only mode was forced by the client (RO)
  abort | Client should set it to abort a pending operation like DTV scan (RW)
  lna | Sets the LNA mode 0 disables; 1 enables, -1 uses auto mode (RW)
  lnb | LNBf description (RW)
  sat_number | Number of the satellite (used by DISEqC setup) (RW)
  freq_bpf | SCR/Unicable band-pass filter frequency to use, in kHz
  verbose | Verbosity level of the library (RW)
  dvb_logfunc | Function used to write log messages (RO)
  default_charset | Name of the charset used by the DVB standard (RW)
  output_charset | Name of the charset to output (system specific) (RW)

The fields marked as RO should not be changed by the client, as otherwise undesired effects may happen. The ones marked as RW are ok to either read or write by the client.

Examples
  dvb-fe-tool.c, dvbv5-scan.c, and dvbv5-zap.c.

Definition at line 117 of file dvb-fe.h.

## Field Documentation

## ◆ abort

int dvb_v5_fe_parms::abort

Examples
  dvbv5-scan.c.

Definition at line 130 of file dvb-fe.h.

## ◆ current_sys

fe_delivery_system_t dvb_v5_fe_parms::current_sys

Examples
  dvbv5-scan.c, and dvbv5-zap.c.

Definition at line 122 of file dvb-fe.h.

## ◆ default_charset

char* dvb_v5_fe_parms::default_charset

Definition at line 146 of file dvb-fe.h.

## ◆ diseqc_wait

unsigned dvb_v5_fe_parms::diseqc_wait

Examples
  dvbv5-scan.c, and dvbv5-zap.c.

Definition at line 139 of file dvb-fe.h.

## ◆ freq_bpf

unsigned dvb_v5_fe_parms::freq_bpf

Examples
  dvbv5-scan.c, and dvbv5-zap.c.

Definition at line 138 of file dvb-fe.h.

## ◆ has_v5_stats

int dvb_v5_fe_parms::has_v5_stats

Definition at line 121 of file dvb-fe.h.

## ◆ info

struct dvb_frontend_info dvb_v5_fe_parms::info

Definition at line 119 of file dvb-fe.h.

## ◆ legacy_fe

int dvb_v5_fe_parms::legacy_fe

Definition at line 125 of file dvb-fe.h.

## ◆ lna

int dvb_v5_fe_parms::lna

Examples
  dvbv5-scan.c, and dvbv5-zap.c.

Definition at line 133 of file dvb-fe.h.

## ◆ lnb

const struct dvb_sat_lnb* dvb_v5_fe_parms::lnb

Examples
  dvbv5-scan.c, and dvbv5-zap.c.

Definition at line 136 of file dvb-fe.h.

## ◆ logfunc

dvb_logfunc dvb_v5_fe_parms::logfunc

Definition at line 143 of file dvb-fe.h.

## ◆ num_systems

int dvb_v5_fe_parms::num_systems

Definition at line 123 of file dvb-fe.h.

## ◆ output_charset

char* dvb_v5_fe_parms::output_charset

Definition at line 147 of file dvb-fe.h.

## ◆ sat_number

int dvb_v5_fe_parms::sat_number

Examples
  dvbv5-scan.c, and dvbv5-zap.c.

Definition at line 137 of file dvb-fe.h.

## ◆ systems

fe_delivery_system_t dvb_v5_fe_parms::systems[MAX_DELIVERY_SYSTEMS]

Definition at line 124 of file dvb-fe.h.

## ◆ verbose

unsigned dvb_v5_fe_parms::verbose

Examples
  dvb-fe-tool.c.

Definition at line 142 of file dvb-fe.h.

## ◆ version

uint32_t dvb_v5_fe_parms::version

Definition at line 120 of file dvb-fe.h.

The documentation for this struct was generated from the following file:

- lib/include/libdvbv5/dvb-fe.h